Mailinglist Archive: opensuse-gnome (13 mails)

< Previous Next >
[opensuse-gnome] Latexila build fails with recent gtk (3.9.10) in Factory
Hi!
With gtk3 = 3.9.10 now in Factory, it seems the fallout of gtk stock
items (STOCK.ADD, etc.) have been completely removed from the library
which causes builds of latexila [1] to fail with errors such as this:

gtkspell.c:395:29: error: 'GTK_STOCK_ADD' undeclared (first use in this
function)

For the full buildlog for the failed package see [2], for instance. I
did add an upstream commit [3] that should have stopped disabling
deprecated symbols during the building stage; however that did not
succeed either, with the same error halting the build. I am not sure
what is going on, since I believed deprecated symbols in gtk3 are
expected to be not completely removed until gtk hits version 4, and
should have only given warnings instead of errors. In fact only as of
gtk3 version 3.9.8, this was compiling just fine. I would be very
grateful if someone could point out a way, if it exists, to workaround
this that does not involve porting the entire gtk*stock* usage to their
current replacements (that seems to be a lot of work for upstream and
would likely be impossible to fix before 13.1 feature freeze).

Fwiw, I think (although, I may be wrong in assuming these are due to the
same basic cause) there are several other packages that have been hit by
the gtk3 3.9.10 update too, for instance, GNOME:Apps/emerillon, etc.

Thanks a lot.

[1]
Devel project: Publishing
[2]
https://build.opensuse.org/package/live_build_log/openSUSE:Factory/latexila/standard/x86_64
[3]
https://git.gnome.org/browse/latexila/commit/?id=8033b37f54bad176b691f3df621dededcfb9a614

--
Atri

--
To unsubscribe, e-mail: opensuse-gnome+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-gnome+owner@xxxxxxxxxxxx

< Previous Next >